Gtk3 GladeVCP catalog

More
21 Jan 2022 00:34 #232583 by zz912
Gtk3 GladeVCP catalog was created by zz912
Is the Gtk3 GladeVCP catalog released?
I ask because I saw that Gmoccapy is rewritten in version 2.9 on Gtk3.
Will GladeVCP Gtk3 work for me in LCNC version 2.8, or do I have to upgrade to 2.9?

Please Log in or Create an account to join the conversation.

More
21 Jan 2022 09:52 #232621 by cmorley
Replied by cmorley on topic Gtk3 GladeVCP catalog
Linuxcnc 2.8 is python2 linuxcnc 2.9 is python3 only.

There is still work being done on gtk3 conversions but I think in principal it works.
The following user(s) said Thank You: zz912

Please Log in or Create an account to join the conversation.

More
21 Jan 2022 10:59 #232628 by zz912
Replied by zz912 on topic Gtk3 GladeVCP catalog
I would like to learn how to make my own Gladescreen. That's why I would like to learn Python. What would you recommend to me? Start with Python 2 LCNC 2.8 or Python 3 LCNC 2.9?

Please Log in or Create an account to join the conversation.

More
21 Jan 2022 16:18 #232652 by HansU
Replied by HansU on topic Gtk3 GladeVCP catalog
It depends on how you want to use it. If you want to use your Glade screen instantly on your machine, I would recommend to use LinuxCNC 2.8 as it is a stable release and therefore you have to use Python 2.
If you only want to "play around" for learning it's better to get used to the current Python and Gtk as Python 2 is deprecated for over one year.
 
The following user(s) said Thank You: zz912

Please Log in or Create an account to join the conversation.

More
06 Oct 2022 02:06 #253584 by blazini36
Replied by blazini36 on topic Gtk3 GladeVCP catalog
Want to hit on the original question because I've been out of the loop for a while. Has a GTK3 version of GladeVCP been released yet? Last I tried this there was talk of what was started being abandoned but that was 2 years ago. I have a custom GUI built on Py2/GTK2 so I'm stuck on 2.8 moving forward until I build everything in something supported   by 2.9.

So is there a version of Glade with HAL widgets built into 2.9 (or otherwise) that can be used to build a GUI? If not, will that be a thing moving forward?

Please Log in or Create an account to join the conversation.

More
06 Oct 2022 09:13 #253597 by HansU
Replied by HansU on topic Gtk3 GladeVCP catalog
There is a version of Glade designer which supports Gtk3 and almost all LinuxCNC GladeVCPs are working with Gtk3 and Python 3. Many of them are still using deprecated widgets, but are still working.

Please Log in or Create an account to join the conversation.

Moderators: mhaberlerHansU
Time to create page: 1.264 seconds
Powered by Kunena Forum